# Veo3

## veo3-text-to-video

> Veo 3 by Google, the most advanced AI video generation model in the world. With sound on!

```json
{"openapi":"3.1.0","info":{"title":"API Reference","version":"1.0.0"},"tags":[{"name":"veo3"}],"servers":[{"url":"https://video.onerouter.pro","description":"video"}],"security":[],"paths":{"/v1/videos/generations":{"post":{"summary":"veo3-text-to-video","deprecated":false,"description":"Veo 3 by Google, the most advanced AI video generation model in the world. With sound on!","tags":["veo3"],"parameters":[{"name":"Authorization","in":"header","description":"","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"model":{"type":"string","description":"model is the model name"},"prompt":{"type":"string","description":"prompt  is the prompt."},"aspect_ratio":{"type":"string","enum":["16:9","9:16","1:1"],"default":"16:9","description":"The aspect ratio of the generated video. If it is set to `1:1`, the video will be outpainted. Default value: `\"16:9\"`\n\nPossible enum values: `16:9`, `9:16`, `1:1`"},"resolution":{"type":"string","enum":["720p","1080p"],"default":"720p","description":"The resolution of the generated video Default value: `\"720p\"`\n\nPossible enum values: `720p`, `1080p`"},"duration":{"type":"string","description":"The duration of the generated video in seconds Default value: `\"8s\"`\n\nPossible enum values: `4s`, `6s`, `8s`","enum":["4s","6s","8s"],"default":"8s"},"negative_prompt":{"type":"string","description":"A negative prompt to guide the video generation","default":"\" \""},"enhance_prompt":{"type":"boolean","default":true,"description":"Whether to enhance the video generation Default value: `true`"},"auto_fix":{"type":"boolean","default":true,"description":"Whether to automatically attempt to fix prompts that fail content policy or other validation checks by rewriting them Default value: `true`"},"seed":{"type":"integer","description":"A seed to use for the video generation"},"generate_audio":{"type":"boolean","default":true,"description":"Whether to generate audio for the video. If false, %33 less credits will be used. Default value: `true`"},"output_format":{"type":"string","description":"output_format indicate the output format, default value is `url`.","default":"url"}},"required":["model","prompt"]}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"url":{"type":"string"},"revised_prompt":{"type":"string"}}}},"created":{"type":"integer"}},"required":["data","created"]}}},"headers":{}}}}}}}
```
